## org.apache.myfaces.context.portlet
Class RequestHeaderValuesMap

    java.lang.Object
      org.apache.myfaces.context.servlet.AbstractAttributeMap
          org.apache.myfaces.context.portlet.RequestHeaderValuesMap

All Implemented Interfaces:
  java.util.Map

public class RequestHeaderValuesMap
extends AbstractAttributeMap

PortletRequest header values (multi-value headers) as Map of String[].

Version:
  $Revision: 169649 $ $Date: 2005-05-11 11:47:12 -0400 (Wed, 11 May 2005) $
Author:
  Stan Silvert (latest modification by $Author: grantsmith $)

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Method Summary
`protected java.lang.Object` `getAttribute(java.lang.String key)`
`protected java.util.Enumeration` `getAttributeNames()`
`protected void` `removeAttribute(java.lang.String key)`
`protected void` `setAttribute(java.lang.String key, java.lang.Object value)`

Methods inherited from class org.apache.myfaces.context.servlet.AbstractAttributeMap
`clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Method Detail

### getAttribute

    protected java.lang.Object getAttribute(java.lang.String key)

  Specified by:
    `getAttribute` in class `AbstractAttributeMap`

### setAttribute

    protected void setAttribute(java.lang.String key,
                                java.lang.Object value)

  Specified by:
    `setAttribute` in class `AbstractAttributeMap`

### removeAttribute

    protected void removeAttribute(java.lang.String key)

  Specified by:
    `removeAttribute` in class `AbstractAttributeMap`

### getAttributeNames

    protected java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in class `AbstractAttributeMap`